4.0 Upgrade error

Hello,

I have been following the recent threads on the 4.0 upgrade. It
looks as if that the system I run will not fall into the bugs that
everyone else has found.

I did however get this error when trying to upgrade the database:

DBI connect(‘dbname=rt4;host=localhost’,‘rt_user’,…) failed: Access
denied for user ‘rt_user’@‘localhost’ (using password: YES) at
/usr/lib/perl5/site_perl/5.8.8/DBIx/SearchBuilder/Handle.pm line 106
Connect Failed Access denied for user ‘rt_user’@‘localhost’ (using
password: YES)
at /opt/rt4/sbin/…/lib/RT.pm line 164

What am i doing wrong?

I don’t have a DB of "rt4"
I do have a user “rt_user”

Do I need to edit the “rt-setup-database” file to change things around?

my upgrade from 3.8.7 to 3.8.9-> 3.8.10 went just fine months ago…

Please point me in the right direction.

Regards,
Michael T. Voity
TelJet Longhaul LLC

Verify the database settings in /opt/rt4/etc/RT_SiteConfig.pm are correct. You can probably just copy your old RT_SiteConfig.pm from your rt3 installation.

/Johan-----Original Message-----
From: rt-users-bounces@lists.bestpractical.com [mailto:rt-users-bounces@lists.bestpractical.com] On Behalf Of Voity, Michael T.
Sent: den 6 maj 2011 21:54
To: rt-users@lists.bestpractical.com
Subject: [rt-users] 4.0 Upgrade error

Hello,

I have been following the recent threads on the 4.0 upgrade. It
looks as if that the system I run will not fall into the bugs that everyone else has found.

I did however get this error when trying to upgrade the database:

DBI connect(‘dbname=rt4;host=localhost’,‘rt_user’,…) failed: Access denied for user ‘rt_user’@‘localhost’ (using password: YES) at /usr/lib/perl5/site_perl/5.8.8/DBIx/SearchBuilder/Handle.pm line 106 Connect Failed Access denied for user ‘rt_user’@‘localhost’ (using
password: YES)
at /opt/rt4/sbin/…/lib/RT.pm line 164

What am i doing wrong?

I don’t have a DB of "rt4"
I do have a user “rt_user”

Do I need to edit the “rt-setup-database” file to change things around?

my upgrade from 3.8.7 to 3.8.9-> 3.8.10 went just fine months ago…

Please point me in the right direction.

Regards,
Michael T. Voity
TelJet Longhaul LLC

Well I got a little bit farther…

Now i got this error message…

[Fri May 6 20:23:39 2011] [crit]: Can’t locate RT/FM.pm in @INC (@INC
contains: /opt/rt4/sbin/…/local/lib /opt/rt4/sbin/…/lib
/usr/lib/perl5/site_perl/5.8.8/i386-linux-thread-multi
/usr/lib/perl5/site_perl/5.8.8 /usr/lib/perl5/site_perl
/usr/lib/perl5/vendor_perl/5.8.8/i386-linux-thread-multi
/usr/lib/perl5/vendor_perl/5.8.8 /usr/lib/perl5/vendor_perl
/usr/lib/perl5/5.8.8/i386-linux-thread-multi /usr/lib/perl5/5.8.8 .)
at /opt/rt4/sbin/…/lib/RT.pm line 652, line 4.
(/opt/rt4/sbin/…/lib/RT.pm:340)
Can’t locate RT/FM.pm in @INC (@INC contains:
/opt/rt4/sbin/…/local/lib /opt/rt4/sbin/…/lib
/usr/lib/perl5/site_perl/5.8.8/i386-linux-thread-multi
/usr/lib/perl5/site_perl/5.8.8 /usr/lib/perl5/site_perl
/usr/lib/perl5/vendor_perl/5.8.8/i386-linux-thread-multi
/usr/lib/perl5/vendor_perl/5.8.8 /usr/lib/perl5/vendor_perl
/usr/lib/perl5/5.8.8/i386-linux-thread-multi /usr/lib/perl5/5.8.8 .)
at /opt/rt4/sbin/…/lib/RT.pm line 652, line 4.

Now I’m lost…On Fri, May 6, 2011 at 4:02 PM, Johan Sjöberg Johan.Sjoberg@deltamanagement.se wrote:

Verify the database settings in /opt/rt4/etc/RT_SiteConfig.pm are correct. You can probably just copy your old RT_SiteConfig.pm from your rt3 installation.

/Johan

-----Original Message-----
From: rt-users-bounces@lists.bestpractical.com [mailto:rt-users-bounces@lists.bestpractical.com] On Behalf Of Voity, Michael T.
Sent: den 6 maj 2011 21:54
To: rt-users@lists.bestpractical.com
Subject: [rt-users] 4.0 Upgrade error

Hello,

I have been following the recent threads on the 4.0 upgrade. It
looks as if that the system I run will not fall into the bugs that everyone else has found.

I did however get this error when trying to upgrade the database:

DBI connect(‘dbname=rt4;host=localhost’,‘rt_user’,…) failed: Access denied for user ‘rt_user’@‘localhost’ (using password: YES) at /usr/lib/perl5/site_perl/5.8.8/DBIx/SearchBuilder/Handle.pm line 106 Connect Failed Access denied for user ‘rt_user’@‘localhost’ (using
password: YES)
at /opt/rt4/sbin/…/lib/RT.pm line 164

What am i doing wrong?

I don’t have a DB of "rt4"
I do have a user “rt_user”

Do I need to edit the “rt-setup-database” file to change things around?

my upgrade from 3.8.7 to 3.8.9-> 3.8.10 went just fine months ago…

Please point me in the right direction.

Regards,

Michael T. Voity
TelJet Longhaul LLC

Michael T. Voity
Network Engineer
TelJet Longhaul LLC
45 Krupp Drive
Williston, VT 05495
D:(802) 922-9507
F:(802) 264-3003
C:(802) 316-9110
E:mvoity@teljet.com

Drop RTFM from @Plugins.On Sat, May 7, 2011 at 12:26 AM, Voity, Michael T. mvoity@teljet.com wrote:

Well I got a little bit farther…

Now i got this error message…

[Fri May 6 20:23:39 2011] [crit]: Can’t locate RT/FM.pm in @INC (@INC
contains: /opt/rt4/sbin/…/local/lib /opt/rt4/sbin/…/lib
/usr/lib/perl5/site_perl/5.8.8/i386-linux-thread-multi
/usr/lib/perl5/site_perl/5.8.8 /usr/lib/perl5/site_perl
/usr/lib/perl5/vendor_perl/5.8.8/i386-linux-thread-multi
/usr/lib/perl5/vendor_perl/5.8.8 /usr/lib/perl5/vendor_perl
/usr/lib/perl5/5.8.8/i386-linux-thread-multi /usr/lib/perl5/5.8.8 .)
at /opt/rt4/sbin/…/lib/RT.pm line 652, line 4.
(/opt/rt4/sbin/…/lib/RT.pm:340)
Can’t locate RT/FM.pm in @INC (@INC contains:
/opt/rt4/sbin/…/local/lib /opt/rt4/sbin/…/lib
/usr/lib/perl5/site_perl/5.8.8/i386-linux-thread-multi
/usr/lib/perl5/site_perl/5.8.8 /usr/lib/perl5/site_perl
/usr/lib/perl5/vendor_perl/5.8.8/i386-linux-thread-multi
/usr/lib/perl5/vendor_perl/5.8.8 /usr/lib/perl5/vendor_perl
/usr/lib/perl5/5.8.8/i386-linux-thread-multi /usr/lib/perl5/5.8.8 .)
at /opt/rt4/sbin/…/lib/RT.pm line 652, line 4.

Now I’m lost…

On Fri, May 6, 2011 at 4:02 PM, Johan Sjöberg Johan.Sjoberg@deltamanagement.se wrote:

Verify the database settings in /opt/rt4/etc/RT_SiteConfig.pm are correct. You can probably just copy your old RT_SiteConfig.pm from your rt3 installation.

/Johan

-----Original Message-----
From: rt-users-bounces@lists.bestpractical.com [mailto:rt-users-bounces@lists.bestpractical.com] On Behalf Of Voity, Michael T.
Sent: den 6 maj 2011 21:54
To: rt-users@lists.bestpractical.com
Subject: [rt-users] 4.0 Upgrade error

Hello,

I have been following the recent threads on the 4.0 upgrade. It
looks as if that the system I run will not fall into the bugs that everyone else has found.

I did however get this error when trying to upgrade the database:

DBI connect(‘dbname=rt4;host=localhost’,‘rt_user’,…) failed: Access denied for user ‘rt_user’@‘localhost’ (using password: YES) at /usr/lib/perl5/site_perl/5.8.8/DBIx/SearchBuilder/Handle.pm line 106 Connect Failed Access denied for user ‘rt_user’@‘localhost’ (using
password: YES)
at /opt/rt4/sbin/…/lib/RT.pm line 164

What am i doing wrong?

I don’t have a DB of "rt4"
I do have a user “rt_user”

Do I need to edit the “rt-setup-database” file to change things around?

my upgrade from 3.8.7 to 3.8.9-> 3.8.10 went just fine months ago…

Please point me in the right direction.

Regards,

Michael T. Voity
TelJet Longhaul LLC


Michael T. Voity
Network Engineer
TelJet Longhaul LLC
45 Krupp Drive
Williston, VT 05495
D:(802) 922-9507
F:(802) 264-3003
C:(802) 316-9110
E:mvoity@teljet.com

Best regards, Ruslan.

Well I got a little bit farther…

Now i got this error message…

The solution to this, among other things, is documented in
docs/UPGRADING-4.0 Please read the general upgrading instructions in
README, as well as docs/UPGRADING-4.0 (which the README also points you
at).

  • Alex

I went back and re-did my install into the /opt/rt3

went better this time and got to upgrade db…

now when i bounced the htttpd i get this error:

Can’t load Perl file: /opt/rt3/bin/webmux.pl

The file is there…

odd?On Fri, May 6, 2011 at 4:39 PM, Alex Vandiver alexmv@bestpractical.com wrote:

On Fri, 2011-05-06 at 16:26 -0400, Voity, Michael T. wrote:

Well I got a little bit farther…

Now i got this error message…

The solution to this, among other things, is documented in
docs/UPGRADING-4.0 Please read the general upgrading instructions in
README, as well as docs/UPGRADING-4.0 (which the README also points you
at).

  • Alex

Michael T. Voity
Network Engineer
TelJet Longhaul LLC
45 Krupp Drive
Williston, VT 05495
D:(802) 922-9507
F:(802) 264-3003
C:(802) 316-9110
E:mvoity@teljet.com

I went back and re-did my install into the /opt/rt3

went better this time and got to upgrade db…

now when i bounced the htttpd i get this error:

Can’t load Perl file: /opt/rt3/bin/webmux.pl

The file is there…

odd?

Please actually read the README and UPGRADING documents, as well as
docs/web_deployment.pod. They explain why you shouldn’t install 4.0.0
into /opt/rt3. They also explain why you shouldn’t be trying to use
webmux.pl.

Thomas

Please keep responses on the mailing list.On 05/06/2011 09:43 PM, Voity, Michael T. wrote:

Thanks for the response. I did actually read the docs. I have gone
back over them with a fine tooth comb and can not figure out for the
life of we on where I would disable “webmux.pl” , “fastcgi” and
"mason_handler"

The document docs/web_deployment.pod that I pointed you to gives
examples of configurations to use for RT 4. None of them mention
webmux.pl or mason_handler. You should start with one of the examples
and adapt as necessary.

Thomas